ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0016951ClearOSapp-certificate-manager - Certificate Managerpublic2017-09-07 08:182017-09-18 15:25
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target Version7.4.0 Beta 1Fixed in Version7.4.0 Beta 1 
Summary0016951: Verification process for CSR workflow does not handle encrypted keys
DescriptionThe CSR validation routine does not handle password protected keys. If a user specifies a password in the key/CSR workflow, then the validation process will fail.

Note: we should probably remove the password option. Very few ClearOS users will want "attended" reboots.
TagsNo tags attached.
Attached Files

- Relationships
related to 0017001closedpbaldwin Remove challenge password and company attribute 

-  Notes
(0006441)
pbaldwin (administrator)
2017-09-13 08:11

The passwords were removed in 0017001, so this is no longer required.

- Issue History
Date Modified Username Field Change
2017-09-07 08:18 pbaldwin New Issue
2017-09-07 08:20 pbaldwin Status new => confirmed
2017-09-13 08:10 pbaldwin Relationship added related to 0017001
2017-09-13 08:11 pbaldwin Note Added: 0006441
2017-09-13 08:11 pbaldwin Status confirmed => resolved
2017-09-13 08:11 pbaldwin Fixed in Version => 7.4.0 Beta 1
2017-09-13 08:11 pbaldwin Resolution open => no change required
2017-09-13 08:11 pbaldwin Assigned To => pbaldwin
2017-09-13 08:11 pbaldwin Status resolved => closed
2017-09-18 15:25 pbaldwin Target Version 7.4.0 Updates => 7.4.0 Beta 1